Bug 250270 - umount -l is wrongfully complaing that fs is "not mounted"
umount -l is wrongfully complaing that fs is "not mounted"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 11:33 EDT by Rolf Fokkens
Modified: 2008-06-16 22:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My fstab that may cause the hang (1.61 KB, text/plain)
2007-07-31 11:33 EDT, Rolf Fokkens
no flags Details

  None (edit)
Description Rolf Fokkens 2007-07-31 11:33:05 EDT
Description of problem:
When rebooting my PC or doing a poweroff it hangs indefinitely right after the
message "Please Stand by while rebooting the system". Not even a kernel message
about md devices or whatever shows up.

Version-Release number of selected component (if applicable):
initscripts-8.54.1-1

How reproducible: 100%

Steps to Reproduce:
1. Enter some nfs4 mount points in fstab
2. Reboot the machine
3. Verify the nfs4 mount points are there
4. Reboot again
5. Nitice the machine hanging right after the message "Please Stand by while
rebooting the system"
  
Actual results:
Hang

Expected results:
Reboot

Additional info:
If doing a "umount -a -t nfs4" before rebooting the reboot progesses as expected.
Comment 1 Rolf Fokkens 2007-07-31 11:33:05 EDT
Created attachment 160335 [details]
My fstab that may cause the hang
Comment 2 Rolf Fokkens 2007-08-11 05:26:13 EDT
Since a week or so the hang problem is over. In return the reboot sequence now
shows silly messages after "Unmounting NFS filesystems". For every nfs4 mount an
error is raised:

    umount: /var/vvpn-devel: not mounted

After tracking down what causes this (netfs->__umount_loop->fstab-decode..) it
appears that "umount -l /var/vvpn-devel" raises this error even though
/var/vvpn-devel is mounted.

rpm shows I installed nfs-utils-1.1.0-1.fc7 at august 1, the day after my
original report. Apparently the new nfs-utils solved the original problem and
introduced as smaller one related to the -l option.
Comment 3 Bug Zapper 2008-05-14 09:46:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:01:46 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.